begin;
INSERT INTO tournaments 
  (season, name, country, location, "date", machine, scoringsystem) VALUES (
    (SELECT season FROM seasons WHERE name='Challenge Cup 2004'),
    'Challenge Cup 7',
    (SELECT country FROM countries WHERE name='Norway'),
    'Tnsberg - Sjsenteret bowling',
    '2004-11-21',
    (SELECT machine FROM machines WHERE name='Dancing Stage EuroMix 2'),
    (SELECT scoringsystem FROM scoringsystems WHERE name='10K Machine score')
);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Crienexzy' AS nick WHERE 'Crienexzy' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Crienexzy'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Crienexzy'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   5584);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Crienexzy'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   4702);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Crienexzy'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   6464);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tove' AS nick WHERE 'Tove' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tove'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tove'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   4854);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tove'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   4742);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tove'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Never Let You Down')),
   't',
   5960);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'JonAnders' AS nick WHERE 'JonAnders' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='JonAnders'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='JonAnders'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   5596);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='JonAnders'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   3874);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='JonAnders'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   6468);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Andeplane' AS nick WHERE 'Andeplane' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Andeplane'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Andeplane'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   6008);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Andeplane'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   4778);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Andeplane'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8366);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Matsi' AS nick WHERE 'Matsi' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Matsi'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Matsi'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   5523);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Matsi'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   5217);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Matsi'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   7826);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   6511);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   5597);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   7861);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'T|na' AS nick WHERE 'T|na' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   6435);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('I Want You To Want Me')),
   'f',
   5090);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8182);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'uSimen' AS nick WHERE 'uSimen' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='uSimen'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='uSimen'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   5520);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='uSimen'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   6691);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='uSimen'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('era (nostalmix)')),
   't',
   5919);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pfxp' AS nick WHERE 'Pfxp' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Pfxp'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Pfxp'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   5958);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Pfxp'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   7853);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Pfxp'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   7595);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Glock' AS nick WHERE 'Glock' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   4185);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   6679);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   't',
   6267);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Eruanna' AS nick WHERE 'Eruanna' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Eruanna'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Eruanna'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   4341);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Eruanna'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   7410);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Eruanna'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   7395);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'v|per' AS nick WHERE 'v|per' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='v|per'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='v|per'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   6649);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='v|per'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   7443);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='v|per'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   7410);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Daniil' AS nick WHERE 'Daniil' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Daniil'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Daniil'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   7830);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Daniil'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   8431);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Daniil'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Never Let You Down')),
   't',
   6831);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   8724);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   8731);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Never Let You Down')),
   't',
   6959);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Benny' AS nick WHERE 'Benny' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Benny'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Benny'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   6069);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Benny'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   5138);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Benny'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8091);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Volstad' AS nick WHERE 'Volstad' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Volstad'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Volstad'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   6326);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Volstad'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   5502);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Volstad'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   7588);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Annkakri' AS nick WHERE 'Annkakri' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Annkakri'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Annkakri'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   4418);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Annkakri'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   4148);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Annkakri'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   6373);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Athena' AS nick WHERE 'Athena' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Athena'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Athena'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   6783);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Athena'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   5119);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Athena'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7869);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Felz' AS nick WHERE 'Felz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   7297);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6030);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   't',
   7391);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ylini' AS nick WHERE 'Ylini' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ylini'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ylini'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   7471);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ylini'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6230);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ylini'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   7479);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   'f',
   7854);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6684);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   7493);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Voffen' AS nick WHERE 'Voffen' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Voffen'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Voffen'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   3516);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Voffen'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex')),
   'f',
   3154);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Voffen'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   't',
   3880);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Zackie' AS nick WHERE 'Zackie' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zackie'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zackie'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   6260);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zackie'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex')),
   'f',
   4965);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zackie'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7501);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Zeila' AS nick WHERE 'Zeila' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zeila'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zeila'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   6582);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zeila'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex')),
   'f',
   6357);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Zeila'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7466);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Alexxz' AS nick WHERE 'Alexxz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Alexxz'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Alexxz'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   7079);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Alexxz'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex')),
   'f',
   6790);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Alexxz'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   7418);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Olemann' AS nick WHERE 'Olemann' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Olemann'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Olemann'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   7219);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Olemann'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex')),
   'f',
   6300);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='Olemann'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8442);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='RiChY'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='RiChY'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   7680);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='RiChY'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('The Reflex')),
   'f',
   6996);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 4,
   (SELECT player FROM players WHERE nick='RiChY'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   't',
   8415);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'SLC' AS nick WHERE 'SLC' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='SLC'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='SLC'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right')),
   'f',
   5267);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='SLC'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp')),
   'f',
   5382);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='SLC'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8059);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Matti' AS nick WHERE 'Matti' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Matti'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Matti'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right')),
   'f',
   5707);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Matti'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp')),
   'f',
   4999);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Matti'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   7415);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Hyper' AS nick WHERE 'Hyper' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Hyper'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Hyper'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right')),
   'f',
   4604);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Hyper'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp')),
   'f',
   4909);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Hyper'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8154);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mync' AS nick WHERE 'Mync' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Mync'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Mync'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right')),
   'f',
   5602);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Mync'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp')),
   'f',
   5644);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Mync'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   't',
   8002);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Duckling' AS nick WHERE 'Duckling' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Duckling'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Duckling'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right')),
   'f',
   5867);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Duckling'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp')),
   'f',
   5728);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Duckling'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8126);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Haggar'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Vibe is Right')),
   'f',
   6375);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Stomp')),
   'f',
   6569);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 5,
   (SELECT player FROM players WHERE nick='Haggar'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   't',
   8548);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Dritago' AS nick WHERE 'Dritago' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dritago'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dritago'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   'f',
   7445);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dritago'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6566);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dritago'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8257);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pyro' AS nick WHERE 'Pyro' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pyro'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pyro'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   'f',
   7026);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pyro'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   5519);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pyro'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7792);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Marilla' AS nick WHERE 'Marilla' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Marilla'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Marilla'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   'f',
   6970);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Marilla'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   5783);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Marilla'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7532);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pingo' AS nick WHERE 'Pingo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pingo'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pingo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   'f',
   7202);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pingo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6666);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Pingo'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8740);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Bonzo'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Bonzo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   'f',
   7537);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Bonzo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6450);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='Bonzo'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8608);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='OJK'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='OJK'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   'f',
   7612);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='OJK'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6822);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 6,
   (SELECT player FROM players WHERE nick='OJK'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   't',
   8570);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Indy' AS nick WHERE 'Indy' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Indy'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Indy'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   4984);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Indy'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   4764);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Indy'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7395);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Electron' AS nick WHERE 'Electron' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Electron'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Electron'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   6998);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Electron'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   6599);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Electron'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   7401);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bush' AS nick WHERE 'Bush' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Bush'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Bush'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   5022);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Bush'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   3527);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Bush'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   't',
   5434);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Gogo' AS nick WHERE 'Gogo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Gogo'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Gogo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   8367);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Gogo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   7439);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Gogo'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   't',
   7768);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Smiph' AS nick WHERE 'Smiph' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Smiph'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Smiph'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   7428);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Smiph'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   6726);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Smiph'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8047);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Snute'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   8429);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   8532);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   1, 7,
   (SELECT player FROM players WHERE nick='Snute'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   't',
   8675);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'v|per' AS nick WHERE 'v|per' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='v|per'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='v|per'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   5504);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='v|per'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   5609);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='v|per'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   6936);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mync' AS nick WHERE 'Mync' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Mync'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Mync'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   6179);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Mync'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   6075);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Mync'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8508);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Duckling' AS nick WHERE 'Duckling' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Duckling'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Duckling'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   6417);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Duckling'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   6355);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Duckling'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8581);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'T|na' AS nick WHERE 'T|na' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   6640);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   6515);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='T|na'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8359);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pingo' AS nick WHERE 'Pingo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Pingo'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Pingo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   6630);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Pingo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   6243);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Pingo'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8738);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   6730);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   6719);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   't',
   8805);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='OJK'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='OJK'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Test My Best')),
   'f',
   6697);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='OJK'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love You Like A Fool')),
   'f',
   6758);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 1,
   (SELECT player FROM players WHERE nick='OJK'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine Climax')),
   't',
   8297);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Alexxz' AS nick WHERE 'Alexxz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Alexxz'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Alexxz'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6175);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Alexxz'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   6752);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Alexxz'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   7730);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Smiph' AS nick WHERE 'Smiph' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   5951);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   6669);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8209);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ylini' AS nick WHERE 'Ylini' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Ylini'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Ylini'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6003);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Ylini'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   7353);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Ylini'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   8111);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Gogo' AS nick WHERE 'Gogo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Gogo'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Gogo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6792);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Gogo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   6897);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Gogo'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8678);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6704);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   8140);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8539);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6455);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   7779);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   8648);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6606);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   'f',
   8683);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine Climax')),
   't',
   8596);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Felz' AS nick WHERE 'Felz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   7472);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   6843);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Felz'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8098);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Andeplane' AS nick WHERE 'Andeplane' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   8100);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   6651);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8529);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Bonzo'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Bonzo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   8294);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Bonzo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   8144);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Bonzo'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8673);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Daniil' AS nick WHERE 'Daniil' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Daniil'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Daniil'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   7415);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Daniil'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   6458);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Daniil'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8566);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Olemann' AS nick WHERE 'Olemann' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Olemann'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Olemann'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   7732);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Olemann'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   7534);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Olemann'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8077);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   8004);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   8351);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8672);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Nameless'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   'f',
   8352);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   'f',
   8506);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   2, 3,
   (SELECT player FROM players WHERE nick='Nameless'),
   2,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8743);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=3;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=3;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6592);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8710);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6798);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8698);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pingo' AS nick WHERE 'Pingo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Pingo'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Pingo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6281);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Pingo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8210);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6681);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8551);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6873);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8553);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6497);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   't',
   9102);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6778);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   't',
   8795);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   8
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6637);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   't',
   8631);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   9
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6667);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8909);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=4;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=4;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   7190);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   't',
   8806);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   6818);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8630);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   7492);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8462);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   7135);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8913);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   7539);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8869);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   7486);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   't',
   8824);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Aaron\'s Party (Come Get It)')),
   'f',
   7116);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   4, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8847);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Remember You'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=5;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=5;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Remember You')),
   'f',
   4624);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8607);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Remember You')),
   'f',
   4707);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8978);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Remember You')),
   'f',
   4620);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8696);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Remember You')),
   'f',
   4811);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8846);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Remember You')),
   'f',
   4891);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8798);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=6;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=6;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   8290);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8658);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   8621);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8760);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   8421);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8744);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   8756);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8772);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=7;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=7;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6705);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8859);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6855);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8787);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6863);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8954);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('B4U'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 7') AND 
  round=8;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('B4U')),
   'f',
   7821);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   9608);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   0,
   (SELECT song FROM songs WHERE lower(title)=lower('B4U')),
   'f',
   7845);
INSERT INTO scores (tournament, round, parallel, player, songnumber, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 7'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   1,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   9578);
commit;
